%define api_version 2
%define lib_major 2
%define gtkbinaryver %(pkg-config gtk+-2.0 --variable=gtk_binary_version)

Name:		librsvg
Summary:	Raph's SVG library
Version: 	2.2.3
Release: 	3mdk
License: 	LGPL
Group:		System/Libraries
Source0: 	ftp://ftp.gnome.org/pub/GNOME/stable/sources/%{name}-%{version}.tar.bz2
# (fc) 2.2.3-3mdk fix "extra content" error message (CVS)
Patch0:		librsvg-2.2.3-extracontent.patch.bz2
URL: 		http://nautilus.eazel.com/
PreReq:		gtk+2.0
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	gtk+2-devel
BuildRequires:	libart_lgpl-devel
BuildRequires:	libxml2-devel
BuildRequires:	popt-devel
BuildRequires:  libgsf-devel >= 1.6.0

%description
A library that uses libart and pango to render svg files.

%package -n %{name}%{api_version}_%{lib_major}
Summary:	Raph's SVG library
Group:		System/Libraries
Provides:   %{name}%{api_version} = %{version}-%{release}
Provides:   %{name} = %{version}-%{release}

%description -n %{name}%{api_version}_%{lib_major}
A library that uses libart and pango to render svg files.

%package -n %{name}%{api_version}_%{lib_major}-devel
Summary:	Libraries and include files for developing with librsvg.
Group:		Development/C
Requires:	%{name}%{api_version}_%{lib_major} = %{version}
Provides:   %{name}%{api_version}-devel = %{version}-%{release}
Provides:   %{name}-devel = %{version}-%{release}
Requires:  libgsf-devel >= 1.6.0

%description -n %{name}%{api_version}_%{lib_major}-devel
This package provides the necessary development libraries and include
files to allow you to develop with librsvg.

%prep
%setup -q
%patch0 -p1 -b .extracontent

%build

%configure2_5x

%make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
%makeinstall_std

#remove unpackaged files
rm -rf $RPM_BUILD_ROOT%{_libdir}/gtk-2.0/%{gtkbinaryver}/*/*.{la,a} \
 $RPM_BUILD_ROOT%{_docdir}/librsvg

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%post
%{_bindir}/gdk-pixbuf-query-loaders >  %{_sysconfdir}/gtk-2.0/gdk-pixbuf.loaders

%postun
%{_bindir}/gdk-pixbuf-query-loaders >  %{_sysconfdir}/gtk-2.0/gdk-pixbuf.loaders

%post -p /sbin/ldconfig -n %{name}%{api_version}_%{lib_major}

%postun -p /sbin/ldconfig -n %{name}%{api_version}_%{lib_major}

%files 
%defattr(-, root, root)
%doc AUTHORS COPYING COPYING.LIB ChangeLog NEWS README
%{_bindir}/rsvg
%{_libdir}/gtk-2.0/%{gtkbinaryver}/engines/*.so
%{_libdir}/gtk-2.0/%{gtkbinaryver}/loaders/*.so
%{_mandir}/man1/*

%files -n %{name}%{api_version}_%{lib_major}
%defattr(-, root, root)
%{_libdir}/*.so.*

%files -n %{name}%{api_version}_%{lib_major}-devel
%defattr(-,root,root)
%doc doc/html/*
%{_libdir}/*.la
%{_libdir}/*.a
%{_libdir}/*.so
%{_includedir}/librsvg-%{api_version}
%{_libdir}/pkgconfig/*

%changelog
* Wed Mar  5 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.2.3-3mdk
- Patch0 (CVS): fix "end of context" error message in nautilus (GNOME bug #106399)

* Fri Feb 14 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.3-2mdk
- -devel should requires libgsf-devel

* Tue Feb  4 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.3-1mdk
- Release 2.2.3

* Mon Jan 27 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.1-1mdk
- Release 2.2.1
- Remove patch0 (merged upstream)

* Tue Jan 21 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.0-1mdk
- Release 2.2.0
- Patch0 (CVS): fix manpage installation

* Mon Jan 13 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.5-1mdk
- Release 2.1.5

* Tue Jan  7 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.3-1mdk
- Release 2.1.3

* Fri Dec 20 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.1-3mdk
- Rebuild against latest gtk+2.0

* Wed Nov 20 2002 Stefan van der Eijk <stefan@eijk.nu> 2.1.1-2mdk
- BuildRequires
- added changelog 2.1.1-1mdk

* Wed Nov 20 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.1-1mdk
- Release 2.1.1

* Tue Jul 23 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.1-1mdk
- Release 2.0.1

* Wed Jun 19 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.0-1mdk
- Release 2.0.0

* Fri Jun 14 2002 Stefan van der Eijk <stefan@eijk.nu> 1.1.6-2mdk
- BuildRequires

* Mon Apr  8 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.1.6-1mdk
- Release 1.1.6 (GNOME 2)

* Thu Jan 24 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.3-1mdk
- Release 1.0.3

* Fri Oct 26 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.2-1mdk
- Release 1.0.2

* Fri Jul  6 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.1-1mdk
- Release 1.0.1

* Tue May 15 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.0-2mdk
- Use correct major number for package naming

* Mon May 14 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.0-1mdk
- First Mandrake packae

* Tue Oct 10 2000 Robin Slomkowski <rslomkow@eazel.com>
- removed obsoletes from sub packages and added mozilla and trilobite
subpackages

* Wed Apr 26 2000 Ramiro Estrugo <ramiro@eazel.com>
- created this thing
